## python-periphery 1.1.2

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build2
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build2
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest coverage gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/periphery.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/periphery.qhc"

applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/periphery"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/periphery"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
python-periphery (1.1.2-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatibility and version to 12 and switch to
    debhelper-compat.
  * Bump Standards-Version to 4.4.0.

 -- Michael Fladischer <fladi@debian.org>  Wed, 17 Jul 2019 16:41:37 +0200

python-periphery (1.1.1-1) unstable; urgency=low

  * Initial release (Closes: #922122).

 -- Michael Fladischer <fladi@debian.org>  Tue, 12 Feb 2019 12:03:40 +0100

=== debian/control ===
Source: python-periphery
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Michael Fladischer <fladi@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme,
Standards-Version: 4.4.0
Homepage: https://github.com/vsergeev/python-periphery/
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-periphery
Vcs-Git: https://salsa.debian.org/python-team/modules/python-periphery.git
Testsuite: autopkgtest-pkg-python

Package: python3-periphery
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-periphery-doc
Description: Peripheral I/O (Python3 version)
 A pure Python library for GPIO, LED, PWM, SPI, I2C, MMIO, and Serial peripheral
 I/O interface access in userspace Linux. It is useful in embedded Linux
 environments (including Raspberry Pi, BeagleBone, etc. platforms) for
 interfacing with external peripherals.
 .
 This package contains the Python 3 version of the library.

Package: python-periphery-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: Peripheral I/O (Documentation)
 A pure Python library for GPIO, LED, PWM, SPI, I2C, MMIO, and Serial peripheral
 I/O interface access in userspace Linux. It is useful in embedded Linux
 environments (including Raspberry Pi, BeagleBone, etc. platforms) for
 interfacing with external peripherals.
 .
 This package contains the documentation.

## python-periphery 2.0.1

=== debian/changelog ===
python-periphery (2.0.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Michael Fladischer ]
  * New upstream release.
  * Set Rules-Requires-Root: no.

 -- Michael Fladischer <fladi@debian.org>  Wed, 22 Jan 2020 21:48:09 +0100

python-periphery (2.0.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Michael Fladischer ]
  * New upstream release.

 -- Michael Fladischer <fladi@debian.org>  Wed, 13 Nov 2019 21:56:00 +0100

=== debian/control ===
--- 
+++ 
@@ -10,11 +10,12 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/vsergeev/python-periphery/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-periphery
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-periphery.git
 Testsuite: autopkgtest-pkg-python
+Rules-Requires-Root: no
 
 Package: python3-periphery
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-periphery-$1/ \
https://github.com/vsergeev/python-periphery/releases \
/vsergeev/python-periphery/archive/v([\d\.]+)\.tar\.gz

## python-periphery 2.1.0

=== debian/changelog ===
python-periphery (2.1.0-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper version to 13.
  * Bump Standards-Version to 4.5.0.

 -- Michael Fladischer <fladi@debian.org>  Tue, 30 Jun 2020 16:52:43 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  dh-python,
  python3-all,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/vsergeev/python-periphery/
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-periphery
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-periphery.git

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=periphery
export PYBUILD_DISABLE=test  # Requires hardware and network

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. python3 -m sphinx -b html -d docs/.build/.doctrees -N docs $(CURDIR)/debian/python-periphery-doc/usr/share/doc/python-periphery-doc/html
	dh_sphinxdoc
endif

override_dh_clean:
	rm -rf docs/.build/
	dh_clean

## python-periphery 2.3.0

=== debian/changelog ===
python-periphery (2.3.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + python-periphery-doc: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sun, 27 Nov 2022 14:00:43 +0000

python-periphery (2.3.0-1) unstable; urgency=low

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Michael Fladischer ]
  * New upstream release.
  * Update d/watch to work with github again.
  * Bump Standards-Version to 4.6.0.
  * Use uscan version 4.

 -- Michael Fladischer <fladi@debian.org>  Sun, 29 Aug 2021 16:48:48 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: python-periphery
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Michael Fladischer <fladi@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -10,10 +10,10 @@
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/vsergeev/python-periphery/
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-periphery
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-periphery.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-periphery
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-periphery.git
 Testsuite: autopkgtest-pkg-python
 Rules-Requires-Root: no
 
@@ -35,6 +35,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Multi-Arch: foreign
 Description: Peripheral I/O (Documentation)
  A pure Python library for GPIO, LED, PWM, SPI, I2C, MMIO, and Serial peripheral
  I/O interface access in userspace Linux. It is useful in embedded Linux

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-periphery-$1/ \
https://github.com/vsergeev/python-periphery/releases \
/vsergeev/python-periphery/archive/refs/tags/v([\d\.]+)\.tar\.gz

## python-periphery 2.4.1

=== debian/changelog ===
python-periphery (2.4.1-1) unstable; urgency=medium

  * Use github tags instead of releases for d/watch.
  * New upstream version 2.4.1
  * Bump Standards-Version to 4.6.2.
  * Update d/copyright with new years.
  * Build using pybuild-plugin-pyproject.

 -- Michael Fladischer <fladi@debian.org>  Wed, 21 Jun 2023 18:09:50 +0000

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,12 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-setuptools,
  python3-sphinx,
  python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://github.com/vsergeev/python-periphery/
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-periphery
 Vcs-Git: https://salsa.debian.org/python-team/packages/python-periphery.git

=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v([\d\.]+.*)$/python-periphery-$1/ \
https://github.com/vsergeev/python-periphery/tags \
/vsergeev/python-periphery/archive/refs/tags/v([\d\.]+)\.tar\.gz
